<?php

/**
 * Dynamic CSS
 */
function auto_mechanic_dynamic_css() {
	$auto_mechanic_primary_color = get_theme_mod( 'auto_mechanic_primary_color', '#e02f5a' );

	$auto_mechanic_site_title_font       = get_theme_mod( 'auto_mechanic_site_title_font', 'Raleway' );
	$auto_mechanic_site_description_font = get_theme_mod( 'auto_mechanic_site_description_font', 'Raleway' );
	$auto_mechanic_header_font           = get_theme_mod( 'auto_mechanic_header_font', 'Bebas Neue' );
	$auto_mechanic_content_font             = get_theme_mod( 'auto_mechanic_content_font', 'Plus Jakarta Sans' );

	// Enqueue Google Fonts
	$auto_mechanic_fonts_url = auto_mechanic_get_fonts_url();
	if ( ! empty( $auto_mechanic_fonts_url ) ) {
		wp_enqueue_style( 'auto-mechanic-google-fonts', esc_url( $auto_mechanic_fonts_url ), array(), null );
	}

	$auto_mechanic_custom_css  = '';
	$auto_mechanic_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $auto_mechanic_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$auto_mechanic_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $auto_mechanic_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $auto_mechanic_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $auto_mechanic_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $auto_mechanic_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $auto_mechanic_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'auto-mechanic-style', $auto_mechanic_custom_css );
}
add_action( 'wp_enqueue_scripts', 'auto_mechanic_dynamic_css', 99 );